# -*- mode: ruby -*-
# vi: set ft=ruby :


Vagrant.configure("2") do |config|

  config.vm.box = "isc/forge-clt-ubuntu-22.04"

  config.vm.box_version = "1"

  config.vm.box_check_update = false

  config.vm.provider 'lxd' do |lxd|
    lxd.api_endpoint = 'https://127.0.0.1:8443'
    lxd.timeout = 10
    lxd.name = '<your-container-name>'
    lxd.project = 'default'
    lxd.profiles = ['default']
    # lxd.nesting = nil
    # lxd.privileged = nil
    # lxd.ephemeral = false
    # lxd.environment = {}
    # lxd.config = {}
  end
  
  config.vm.provision "shell" do |s|
    s.env = {
             "MACHINE_HOSTNAME" => "<your-machine-hostname>",
             "NEXTCLOUD_DB_NAME" => "<your-nextcloud-db-name>",
	     "NEXTCLOUD_DB_USER" => "<your-nextcloud-db-user>",
	     "NEXTCLOUD_DB_PASSWORD" => "<your-nextcloud-db-password>",
            }
    s.path = "provision.sh" 
  end
end

